Subject: Re: [PATCH V2 for-next 0/8] Bug Fixes and Code Improvement in HNS driver

From: Doug Ledford <[email-masked]>
Date: Fri, 30 Sep 2016 09:38:45 -0400

On 9/30/16 1:33 AM, David Miller wrote:
> From: Salil Mehta <[email-masked]>
> Date: Thu, 29 Sep 2016 18:09:08 +0100
> 
>> This patch-set introduces fix to some Bugs, potential problems
>> and code improvements identified during internal review and
>> testing of Hisilicon Network Subsystem driver.
>>
>> Submit Change
>> V1->V2: This addresses the feedbacks provided by David Miller
>>         and Doug Ledford
> 
> So Doug my understanding is if this makes it through review
> this is going to be merged into your tree,

Correct.  Mainly because it sits on top of some other patches from Huawei.

> you prepare a
> branch for me, and then I pull from that?

I can.  It's either that or these 8 patches go to Linus through my tree.
 Be forewarned, the branch will have to include the entire hns-roce
driver and the hns/hns-roce ACPI reset support patches.  That may be
more than you intended to get in a pull.  But it's a kind of messed up
branch anyway.  I couldn't submit the branch until after you submit your
pull request to Linus because the branch itself is based on an older
version of your net-next tree, which was needed to get the hns-roce
driver to go in cleanly. I just added the hns-roce stuff on top of that.
 My original intent, because of all this, was that this branch would be
submitted as its own special pull request once most other stuff was
already in.

> Thanks in advance.

Sure.

-- 
Doug Ledford <[email-masked]>    GPG Key ID: 0E572FDD
  Red Hat, Inc.
  100 E. Davie St
  Raleigh, NC 27601 USA